"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExtendedTable = void 0;
const table_alarms_1 = require("./table-alarms");
const aws_dynamodb_1 = require("aws-cdk-lib/aws-dynamodb");
const aws_cdk_1 = require("../../aws-cdk");
/**
 * DynamoDB Table with CloudWatch Alarms.
 */
class ExtendedTable extends aws_dynamodb_1.Table {
    constructor(scope, id, props) {
        var _a;
        super(scope, id, props);
        new aws_cdk_1.StandardTags(this, props.standardTags);
        if ((_a = props.createAlarms) !== null && _a !== void 0 ? _a : true) {
            this.tableAlarms = new table_alarms_1.TableAlarms(this, 'Alarms', {
                table: this,
                ...props,
            });
        }
    }
    /**
     * Add a global secondary index of table.
     *
     * @param props the property of global secondary index
     */
    addGlobalSecondaryIndex(props) {
        super.addGlobalSecondaryIndex(props);
        if (this.tableAlarms) {
            this.tableAlarms.addGlobalSecondaryIndexMonitoring(props.indexName);
        }
    }
}
exports.ExtendedTable = ExtendedTable;
//# sourceMappingURL=extended-table.js.map