import { DockerImageFunction, DockerImageFunctionProps } from 'aws-cdk-lib/aws-lambda';
import { Construct } from 'constructs';
import { FunctionAlarms, FunctionAlarmsOptions } from './function-alarms';
import { FunctionDeployment } from './function-deployment';
import { DeployedFunctionOptions } from './extended-function';
export interface ExtendedDockerImageFunctionProps extends DockerImageFunctionProps, FunctionAlarmsOptions, DeployedFunctionOptions {
}
export declare class ExtendedDockerImageFunction extends DockerImageFunction {
    readonly alarms: FunctionAlarms;
    readonly deployment?: FunctionDeployment;
    constructor(scope: Construct, id: string, props: ExtendedDockerImageFunctionProps);
}
